Navigational Sounds 1.2.0 could not be installed because it is not compatible with Firefox 3.6 Rated 1 out of 5 stars

Navigational Sounds 1.2.0 could not be installed because it is not compatible with Firefox 3.6.

This review is for a previous version of the add-on (1.2.0).